[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'strutils' (#rtl)

# PadRight

Add spaces to the right of a string till a certain length is reached.

## Declaration

Source position: strutils.pp line 158

`function PadRight(`
`const S: string;`
`N: Integer`
`):string;`

## Arguments

`S` |  | String to pad.
`N` |  | Minimal length of the resulting string.

## Function result

String of length N, padded to the right with spaces

## Description

PadRight add spaces to the left of the string S till the result reaches length Len. If the string S has length equal to or largert than Len, no spaces are added, and the string S is returned as-is. The resulting string is S, left-justified on length Len.

## Errors

None.

## See also

PadLeft |  | Add spaces to the left of a string till a certain length is reached.
PadCenter |  | Pad the string to a certain length, so the string is centered.
AddChar |  | Add characters to the left of a string till a certain length
AddCharR |  | Add chars at the end of a string till it reaches a certain length

Documentation generated on: Feb 26 2014